    /*
     *  call-seq:
     *     bv.get(i) -> bool
     *     bv[i]     -> bool
     *
     *  Get the bit value at _i_
     */
    VALUE
    frb_bv_get(VALUE self, VALUE rindex)
    {
        BitVector *bv;
        int index = FIX2INT(rindex);
        GET_BV(bv, self);
        if (index < 0) {
            rb_raise(rb_eIndexError, "%d < 0", index);
        }

        return bv_get(bv, index) ? Qtrue : Qfalse;
    }